ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephane Bailliez" <>
Subject Re: My itches for 1.6
Date Mon, 15 Jul 2002 20:02:25 GMT
----- Original Message -----
From: <>

> > >From the top of my head <style> that uses JAXP or not JAXP now as it
> > instantiates the implementation to allow uses of different xsl
> > We have also the regexp factory. If I'm not wrong it will use the caller
> > classloader right now, so as it is in the core, you are out of luck.
> Do we have a list of core tasks which require external jars ? I didn't
> know core has external deps. For JAXP it shouldn't be a problem,
> there are mechanisms to override the parser/xslt processor ( 1.4 has
> them in rt.jar anyway ).

mm..not really actually it is on the todo list to find a mechanism to check
for dependencies and tell nicely to people to just download xxxx at yyyyy so
that task zzzzz works fine.
You can look at the build file...everything that is checking dependency and
not having optional.package as it basename.

To unsubscribe, e-mail:   <>
For additional commands, e-mail: <>

View raw message